-- ============================================================================
-- = Localized Text for Quest Spam
-- ============================================================================

-- ========== English : =======================================================

-- ========== Spam Templates and Detectors ====================================
QUESTSPAM_UI_INFO_MATCH = {	                            -- UI_INFO_MESSAGE 
	"^(.+): %s*[-%d]+%s*/%s*[-%d]+%s*$",				-- Credits: Some of this was derived from Fast Quest Classic; Kudos and thanks
	"^(.+)[^Trade]completed.$",							-- 
	"^(.+)\(Complete\)$",								-- 
	"^Quest accepted: .+$",								-- 
	"^Experience gained: .+$",							-- 
	"^Discovered: .+$",									-- 
	"^(.+)dies, you gain(.+)$",							-- Mutated Owlkin dies, you gain 65 experience. "^(.*) dies, you gain (.*)
}

-- ========== Quest Spam Messaging Templates ==================================
QUESTSPAM_QUESTTEXT = "(.*): %s*([-%d]+)%s*/%s*([-%d]+)%s*$";
QUESTSPAM_QUESTPROGRESS = "Progress: ";
QUESTSPAM_LEVELUPMESSAGE = "DING!! LEVEL %s";
QUESTSPAM_KILLEXP_MESSAGE = "kills %1 for %2 exp";
QUESTSPAM_ACHIEVEMENT_MESSAGE = "Achievement!! %s for %s pts for total of %s Achievements at %s pts";
QUESTSPAM_LATESTACHIEVEMENT = "Latest Achievement: ";
QUESTSPAM_EXP_MESSAGE_1 = "Gained %s exp and ";
QUESTSPAM_EXP_MESSAGE_2 = "%sis at %s%% of level %s!";
QUESTSPAM_EXP_GAINED = "^Experience gained: (.*)\.$"
QUESTSPAM_KILLEXP_MATCH = "^(.*) dies, you gain (.*) experience(.*)";

-- ========== Quest Spam About ================================================
QUESTSPAM_ABOUT = "Share your Achievements and Quest progress with your friends. Here you can customize what to spam and who to spam.";
QUESTSPAM_TITLE = "Quest Spam";

-- ========== Quest Spam Targets ==============================================
QUESTSPAM_ON_LABEL = "Turn on Quest Spam";
QUESTSPAM_ON_TOOLTIP = "This will turn on Quest Spam. The Master Switch! Nothing works if this is off.";
QUESTSPAM_LOCAL_LABEL = "Local area";
QUESTSPAM_LOCAL_TOOLTIP = "This will notify the local area, like using /say";
QUESTSPAM_PARTY_LABEL = "Party chat";
QUESTSPAM_PARTY_TOOLTIP = "This will notify the pary chat, like using /party";
QUESTSPAM_RAID_LABEL = "Raid chat";
QUESTSPAM_RAID_TOOLTIP = "This will notify the raid chat, like using /raid";
QUESTSPAM_GUILD_LABEL = "Guild chat";
QUESTSPAM_GUILD_TOOLTIP = "This will notify the guild chat, like using /guild";
QUESTSPAM_CHANNEL_LABEL = "Channel";
QUESTSPAM_CHANNEL_TOOLTIP = "My preferred method of using Quest Spam. Setup a Chat Channel and share your progress with your friends.";
QUESTSPAM_CHANNELID_LABEL = " Channel name or id ex:qspamfriends";
QUESTSPAM_CHANNELID_TOOLTIP = "The Channel you create/join will always have the same numeric id.";

-- ========== Quest Spam Categories ===========================================
QUESTSPAM_CATAREA_LABEL = "Categories";
QUESTSPAM_ACHIEVEMENTS_LABEL = "Achievements";
QUESTSPAM_ACHIEVEMENTS_TOOLTIP = "This will spam Achievements! It will link the achievement (if in a group chat) and how many pts it was worth along with your current achievement pts and status.";
QUESTSPAM_LEVELUP_LABEL = "Leveling";
QUESTSPAM_LEVELUP_TOOLTIP = "A must have for those who say DING! Spams when you level up and also sends your new level.";
QUESTSPAM_QUESTPROGRESS_LABEL = "Quest Progress";
QUESTSPAM_QUESTPROGRESS_TOOLTIP = "This will spam when quests are accepted and completed along with the exp and %% of your current level.";
QUESTSPAM_QUESTDETAILS_LABEL = "Quest Details";
QUESTSPAM_QUESTDETAILS_TOOLTIP = "This will spam how many item/creatures you have completed while doing your quests.";
QUESTSPAM_DISCOVERY_LABEL = "Discovery";
QUESTSPAM_DISCOVERY_TOOLTIP = "This will spam a discovery notification every time you discover a new area.";
QUESTSPAM_COMBATXP_LABEL = "Combat Exp";
QUESTSPAM_COMBATXP_TOOLTIP = "The Uber Spam! This will spam your every kill that you make exp on. A true way to share the experience or annoy your friends!";

-- ========== Quest Achievement Options =======================================
QUESTSPAM_ACHIEVESETTINGS_LABEL = "Achievement Settings";
QUESTSPAM_ACHIEVE_SPAMALL_LABEL = "Share with Everyone";
QUESTSPAM_ACHIEVE_SPAMALL_TOOLTIP = "Share your Achievements with those around you and your current chat groups (guild,raid,party) regardless of your spam targets.";
QUESTSPAM_ACHIEVE_NOTLOCAL_LABEL = "Share with your buddies";
QUESTSPAM_ACHIEVE_NOTLOCAL_TOOLTIP = "If you feel funny about blurting out your achievements, just keep them to your current chat group.";
